
QGIS Application - Bug report #4190

Using latest qgis-master, PyQGIS fails to load on ubuntu oneiric development build

2011-08-20 12:39 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14165

Description

Since roughly a week, PyQGIS fails to load when starting QGIS and all of the related PyQGIS plugins are disabled. An error message box

appears at launch with this text:

[code]

Couldn't load PyQGIS.

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

RuntimeError: the PyQt4.QtCore module is version 1 but the qgis.core module requires version -1

Python version:

2.7.2+ (default, Aug 16 2011, 07:56:26) 

[GCC 4.6.1]

QGIS version:

1.8.0-Trunk 'Trunk', exported

Python path:

['/usr/share/qgis/python', '/home/webmaster/.qgis/python', '/home/webmaster/.qgis/python/plugins', '/usr/share/qgis/python/plugins',

'/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload',

'/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PIL',

'/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7',

'/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/ubuntuone-client',

'/usr/lib/python2.7/dist-packages/ubuntuone-control-panel', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode']

[/code]

History

#1 - 2011-08-26 06:14 AM - Mathieu Pellerin - nIRV

- Resolution set to fixed

- Status changed from Open to Closed

Thanks Jef.

commit:2095c7ed4b58923737991a7535dc9f8aca1bab36
